"""
Tests for CMFNotification installation

$Id: testInstallation.py 23087 2006-05-04 22:09:35Z dbaty $
"""

import os, sys
if __name__ == '__main__':
    execfile(os.path.join(sys.path[0], 'framework.py'))

from Products.CMFNotification.tests.utils import CMFNotificationTestCase

from Products.CMFNotification import NotificationTool

class TestInstallation(CMFNotificationTestCase):
    """Make sure that the product is properly installed"""

    def afterSetUp(self):
        pass


    def testToolIsThere(self):
        portal = self.portal
        self.failUnless(NotificationTool.ID in portal.objectIds())


if  __name__ == '__main__':
    framework()

def test_suite():
    from unittest import TestSuite, makeSuite
    suite = TestSuite()
    suite.addTest(makeSuite(TestInstallation))
    return suite
